function XX=JMCBchabotmoul5a(g);

global D1 Dro540 Dro541 Dro542 Dro543 FB53 FB60 SCO54

%IN CASE PARAMETER-GUESSES GENERATE IMAGINARY VALUES FOR OBJECTIVE FUNCTION 
if g(1)<0;
    XX=1000000000000000000000000000000000000;
elseif g(2)<0;
    XX=1000000000000000000000000000000000000;
else;
    
%DISPLAY TO SEE ONGOING PARAMETERS    
%disp(g')

sd1=size(D1,1);

%DEFINITION OF POTENTIAL POPULATION MEASURES
Pop50=D1(:,11)/1000;%aggregate population in 1850
Pop60=D1(:,10)/1000;%aggregate population in 1860
Pop54a=Pop50.*((Pop60./Pop50).^(.4));%geometric weighted average
Pop54b=Pop50+(Pop60-Pop50)*(.4);%arithmetic weighted average

%CHOICE OF POPULATION VARIABLE
%Pop54=Pop54a;%geometric mean population
Pop54=Pop54b;%arithmetic mean population

%DEFINITION OF BANKING MEASURES
N54=D1(:,47);%number of banks in 8/1854

%RE-NAMING DROUGHT VARIABLES
Dro10=Dro540;
Dro11=Dro541;%preferred drought variable
Dro12=Dro542;
Dro13=Dro543;
PopDr=Pop54.*Dro11;

%DEFINITION OF OTHER VARIABLES
IN1=D1(:,20);%Indiana dummy
SB54=D1(:,51);%indicator for state-branch in mkt in '54
SB60=D1(:,52);%indicator for state-branch in mkt in '60
RR54=D1(:,53);%indicator for railroad in mkt's county in '54
RR60=D1(:,54);%indicator for railroad in mkt's county in '60
AL54=D1(:,55);%indicator for high-asset incumbent in mkt in '54
AL60=D1(:,56);%indicator for high-asset incumbent in mkt in '60

%DE-MEANING VARIABLES (makes intercept interpretation easier)
Dro10=Dro10-mean(Dro10);
Dro11=Dro11-mean(Dro11);
Dro12=Dro12-mean(Dro12);
Dro13=Dro13-mean(Dro13);
PopDr=PopDr-mean(PopDr);
RR54=RR54-mean(RR54);

%TRANSFORMING POPULATION FOR AGV TREATMENT
Pop54=log(Pop54*1000);


Pr=[];
for i=1:sd1;
    if SCO54(i)==0;

        EX1=g(1)            -g(3)*Pop54(i)-g(4)*Dro11(i)-g(5)*PopDr(i)-g(6)*IN1(i)-g(7)*SCO54(i)-g(8)*RR54(i);
        EX2=g(1)+g(2)+log(2)-g(3)*Pop54(i)-g(4)*Dro11(i)-g(5)*PopDr(i)-g(6)*IN1(i)-g(7)*SCO54(i)-g(8)*RR54(i);

        if N54(i)==0;
            Pr1=normcdf(EX1);
        elseif N54(i)==1;
            Pr1=normcdf(EX2)-normcdf(EX1);
        else Pr1=1-normcdf(EX2);
        end;    
        Pr=[Pr;Pr1];
        
    else
        
        EX1=g(1)            -g(3)*Pop54(i)-g(4)*Dro11(i)-g(5)*PopDr(i)-g(6)*IN1(i)-g(7)*SCO54(i)-g(8)*RR54(i);
        if N54(i)==0;
            Pr1=normcdf(EX1);
        else Pr1=1-normcdf(EX1);
        end;
        Pr=[Pr;Pr1];
    end;    
end;

lnPr=log(Pr);
XX=-sum(lnPr);
    
end;


