function XX=JMCBchabotmoul5d(g);

global D2 Dro600 Dro601 Dro602 Dro603 SCO60

%IN CASE PARAMETER-GUESSES GENERATE IMAGINARY VALUES FOR OBJECTIVE FUNCTION 
if g(2)<0;
    XX=1000000000000000000000000000000000000;
else;
    
%DISPLAY TO SEE ONGOING PARAMETERS    
%disp(g')

sd2=size(D2,1);

%DEFINITION OF  POPULATION MEASURE
Pop60=D2(:,10)/1000;%aggregate population in 1860

%DEFINITION OF BANKING MEASURES
N60=D2(:,26);%number of banks in 1860

%RE-NAMING DROUGHT VARIABLES
Dro10=Dro600;
Dro11=Dro601;%preferred measure
Dro12=Dro602;
Dro13=Dro603;
PopDr=Pop60.*Dro11;

%DEFINITION OF OTHER VARIABLES
IN=D2(:,20);
SB60=D2(:,54);%indicator for state-branch in mkt in '60
RR60=D2(:,56);%indicator for railroad in mkt's county in '60
AL60=D2(:,58);%indicator for high-asset incumbent in '60
int=ones(sd2,1);

%DE-MEANING VARIABLES (makes intercept interpretation easier)
Dro10=Dro10-mean(Dro10);
Dro11=Dro11-mean(Dro11);
Dro12=Dro12-mean(Dro12);
Dro13=Dro13-mean(Dro13);
PopDr=PopDr-mean(PopDr);
RR60=RR60-mean(RR60);

%TRANSFORMING POPULATION FOR AGV TREATMENT
Pop60=log(Pop60*1000);

Pr=[];
for i=1:sd2;
    if SCO60(i)==0;

        EX1=g(1)            -g(4)*Pop60(i)-g(5)*Dro11(i)-g(6)*PopDr(i)-g(7)*IN(i)-g(8)*SCO60(i)-g(9)*RR60(i);
        EX2=g(1)+g(2)+log(2)-g(4)*Pop60(i)-g(5)*Dro11(i)-g(6)*PopDr(i)-g(7)*IN(i)-g(8)*SCO60(i)-g(9)*RR60(i);
        EX3=g(1)+g(3)+log(3)-g(4)*Pop60(i)-g(5)*Dro11(i)-g(6)*PopDr(i)-g(7)*IN(i)-g(8)*SCO60(i)-g(9)*RR60(i);

        if N60(i)==0;
            Pr1=normcdf(EX1);
        elseif N60(i)==1;
            Pr1=normcdf(EX2)-normcdf(EX1);
        elseif N60(i)==2;
            Pr1=normcdf(EX3)-normcdf(EX2);        
        else Pr1=1-normcdf(EX3);
        end;    
        Pr=[Pr;Pr1];
    else
        
        EX1=g(1)            -g(4)*Pop60(i)-g(5)*Dro11(i)-g(6)*PopDr(i)-g(7)*IN(i)-g(8)*SCO60(i)-g(9)*RR60(i);

        if N60(i)==0;
            Pr1=normcdf(EX1);
        else Pr1=1-normcdf(EX1);
        end;
        Pr=[Pr;Pr1];
    end;    
end;

lnPr=log(Pr);
XX=-sum(lnPr);
    
end;


