function XX=JMCBchabotmoul6b(g);

global D1 D2 Dro541 Dro601 SCO54 SCO60

%IN CASE PARAMETER-GUESSES GENERATE IMAGINARY VALUES FOR OBJECTIVE FUNCTION 
if g(2)<0;
    XX=1000000000000000000000000000000000000;
else;
    
%DISPLAY TO SEE ONGOING PARAMETERS    
%disp(g')

%%%%%%%%%%%%%%%%%%%
% 1854 SUB-SAMPLE %
%%%%%%%%%%%%%%%%%%%

sd1=size(D1,1);%isolated in 1850 sample size

%DEFINITION OF POTENTIAL POPULATION MEASURES
Pop50=D1(:,11)/1000;%aggregate population in 1850
Pop60=D1(:,10)/1000;%aggregate population in 1860
Pop54a=Pop50.*((Pop60./Pop50).^(.4));%geometric weighted average
Pop54b=Pop50+(Pop60-Pop50)*(.4);%arithmetic weighted average

%CHOICE OF POPULATION VARIABLE
%Pop54=Pop54a;%geometric mean population
Pop54=Pop54b;%arithmetic mean population

%DEFINITION OF BANKING MEASURES
N54=D1(:,47);%number of banks in 8/1854

%RE-NAMING DROUGHT VARIABLES
Dro11=Dro541;
Pop54Dr=Pop54.*Dro11;

%DEFINITION OF OTHER VARIABLES
IN1=D1(:,20);%Indiana/other state dummy
SB54=D1(:,51);%indicator for state-branch in mkt in '54
RR54=D1(:,53);%indicator for railroad in mkt's county in '54

%DE-MEANING VARIABLES (makes intercept interpretation easier)
Dro11=Dro11-mean(Dro11);
Pop54Dr=Pop54Dr-mean(Pop54Dr);
RR54=RR54-mean(RR54);

%TRANSFORMING POPULATION FOR AGV TREATMENT
Pop54=log(Pop54*1000);%logging appropriate for AGV

Pr=[];
for i=1:sd1;
    if SCO54(i)==0;
        
        
        EX1=g(1)              -g(4)*Pop54(i)-g(6)*Dro11(i)-g(7)*Pop54Dr(i)-g(8)*IN1(i)-g(10)*SCO54(i)-g(11)*RR54(i);
        EX2=g(1)+(g(2)+log(2))-g(4)*Pop54(i)-g(6)*Dro11(i)-g(7)*Pop54Dr(i)-g(8)*IN1(i)-g(10)*SCO54(i)-g(11)*RR54(i);
        EX3=g(1)+(g(3)+log(3))-g(4)*Pop54(i)-g(6)*Dro11(i)-g(7)*Pop54Dr(i)-g(8)*IN1(i)-g(10)*SCO54(i)-g(11)*RR54(i);

        if N54(i)==0;
            Pr1=normcdf(EX1);
        elseif N54(i)==1;
            Pr1=normcdf(EX2)-normcdf(EX1);
        elseif N54(i)==2;
            Pr1=normcdf(EX3)-normcdf(EX2);
        else Pr1=1-normcdf(EX3);
        end;    
        Pr=[Pr;Pr1];

    else

        EX1=g(1)              -g(4)*Pop54(i)-g(6)*Dro11(i)-g(7)*Pop54Dr(i)-g(8)*IN1(i)-g(10)*SCO54(i)-g(11)*RR54(i);
    
        if N54(i)==0;
            Pr1=normcdf(EX1);
        else Pr1=1-normcdf(EX1);
        end;
        Pr=[Pr;Pr1];
    end;
    
end;

lnPr=log(Pr);
XX54=-sum(lnPr);

%%%%%%%%%%%%%%%%%%%
% 1860 SUB-SAMPLE %
%%%%%%%%%%%%%%%%%%%

sd2=size(D2,1);%isolated in 1860 sample size

%DEFINITION OF POPULATION MEASURE
Pop60=D2(:,10)/1000;%aggregate population in 1860

%DEFINITION OF BANKING MEASURES
N60=D2(:,26);%number of banks in December 1860

%RE-NAMING DROUGHT VARIABLES
Dro31=Dro601;
Pop60Dr=Pop60.*Dro31;

%DEFINITION OF OTHER VARIABLES
IN2=D2(:,20);%Indiana/other state dummy
SB60=D2(:,54);%indicator for state-branch in mkt in '60
RR60=D2(:,56);%indicator for railroad in mkt's county in '60


%DE-MEANING VARIABLES (makes intercept interpretation easier)
Dro31=Dro31-mean(Dro31);
Pop60Dr=Pop60Dr-mean(Pop60Dr);
RR60=RR60-mean(RR60);

%TRANSFORMING POPULATION FOR AGV TREATMENT
Pop60=log(Pop60*1000);%proper logging

Pr=[];
for i=1:sd2;
    if SCO60(i)==0;

        EX1=(g(1)/g(5))                   -(g(4)/g(5))*Pop60(i)-(g(6)/g(5))*Dro31(i)-(g(7)/g(5))*Pop60Dr(i)-(g(8)/g(5))*IN2(i)-(g(9)/g(5))*IN2(i)-(g(10)/g(5))*SCO60(i)-(g(11)/g(5))*RR60(i);
        EX2=(g(1)/g(5))+(g(2)+log(2))/g(5)-(g(4)/g(5))*Pop60(i)-(g(6)/g(5))*Dro31(i)-(g(7)/g(5))*Pop60Dr(i)-(g(8)/g(5))*IN2(i)-(g(9)/g(5))*IN2(i)-(g(10)/g(5))*SCO60(i)-(g(11)/g(5))*RR60(i);
        EX3=(g(1)/g(5))+(g(3)+log(3))/g(5)-(g(4)/g(5))*Pop60(i)-(g(6)/g(5))*Dro31(i)-(g(7)/g(5))*Pop60Dr(i)-(g(8)/g(5))*IN2(i)-(g(9)/g(5))*IN2(i)-(g(10)/g(5))*SCO60(i)-(g(11)/g(5))*RR60(i);

        if N60(i)==0;
            Pr1=normcdf(EX1);
        elseif N60(i)==1;
            Pr1=normcdf(EX2)-normcdf(EX1);
        elseif N60(i)==2;
            Pr1=normcdf(EX3)-normcdf(EX2);
        else Pr1=1-normcdf(EX3);
        end;    
        Pr=[Pr;Pr1];
   
    else
        
        EX1=(g(1)/g(5))                   -(g(4)/g(5))*Pop60(i)-(g(6)/g(5))*Dro31(i)-(g(7)/g(5))*Pop60Dr(i)-(g(8)/g(5))*IN2(i)-(g(9)/g(5))*IN2(i)-(g(10)/g(5))*SCO60(i)-(g(11)/g(5))*RR60(i);

        if N60(i)==0;
            Pr1=normcdf(EX1);
        else Pr1=1-normcdf(EX1);
        end;
    
        Pr=[Pr;Pr1];
    end;
end;

lnPr=log(Pr);
XX60=-sum(lnPr);

XX=XX54+XX60;
end;

