function XX=JMCBchabotmoul7b(g);

global D3 Dro600 Dro601 Dro602 Dro603 Dro607 SCO60

%IN CASE PARAMETER-GUESSES GENERATE IMAGINARY VALUES FOR OBJECTIVE FUNCTION 
if g(2)<0;
    XX=1000000000000000000000000000000000000;
else;
    
%DISPLAY TO SEE ONGOING PARAMETERS    
%disp(g')

sd3=size(D3,1);

%DEFINITION OF POTENTIAL POPULATION MEASURES
Pop60=D3(:,10)/1000;%aggregate population in 1860

%DEFINITION OF BANKING MEASURES
N57=D3(:,49);%number of banks in 9/1857
Clos57=D3(:,50);%number of bank closures in Panic of '57
N60=D3(:,26);%number of banks in 1860

%RE-NAMING DROUGHT VARIABLES
Dro11=Dro607;
PopDr=Pop60.*Dro11;

%DEFINITION OF OTHER VARIABLES
IN=D3(:,20);
INClos57=IN.*Clos57;
SB60=D3(:,54);%indicator for state-branch in mkt in '60
RR60=D3(:,56);%indicator for railroad in mkt's county in '60
AL60=D3(:,58);%indicator for high-asset incumbent in '60
int=ones(sd3,1);

%DE-MEANING VARIABLES (makes intercept interpretation easier)
Dro11=Dro11-mean(Dro11);
PopDr=PopDr-mean(PopDr);
RR60=RR60-mean(RR60);
N57=N57-mean(N57);
Clos57=Clos57-mean(Clos57);
INClos57=INClos57-mean(INClos57);

%TRANSFORMING POPULATION FOR AGV TREATMENT
Pop60=log(Pop60*1000);

Pr=[];
for i=1:sd3;
    if SCO60(i)==0;

        EX1=g(1)            -g(4)*Pop60(i)-g(5)*Dro11(i)-g(6)*PopDr(i)-g(8)*IN(i)-g(9)*SCO60(i)-g(7)*RR60(i);
        EX2=g(1)+g(2)+log(2)-g(4)*Pop60(i)-g(5)*Dro11(i)-g(6)*PopDr(i)-g(8)*IN(i)-g(9)*SCO60(i)-g(7)*RR60(i);
        EX3=g(1)+g(3)+log(3)-g(4)*Pop60(i)-g(5)*Dro11(i)-g(6)*PopDr(i)-g(8)*IN(i)-g(9)*SCO60(i)-g(7)*RR60(i);

        if N60(i)==0;
            Pr1=normcdf(EX1);
        elseif N60(i)==1;
            Pr1=normcdf(EX2)-normcdf(EX1);
        elseif N60(i)==2;
            Pr1=normcdf(EX3)-normcdf(EX2);        
        else Pr1=1-normcdf(EX3);
        end;    
        Pr=[Pr;Pr1];
    else
        
        EX1=g(1)            -g(4)*Pop60(i)-g(5)*Dro11(i)-g(6)*PopDr(i)-g(8)*IN(i)-g(9)*SCO60(i)-g(7)*RR60(i);

        if N60(i)==0;
            Pr1=normcdf(EX1);
        else Pr1=1-normcdf(EX1);
        end;
        Pr=[Pr;Pr1];
    end;    
end;

lnPr=log(Pr);
XX=-sum(lnPr);
    
end;


