%creating drought variables: market-specific annual PDHI levels
%   1800-'60
function Dr1=JMCBchabotmoul_makedrought1(d);

global Palmer

LongGP=Palmer(1,2:155);
LatGP=Palmer(2,2:155);

Year=Palmer(3:281,1);
PDHI=Palmer(3:281,2:155);

LatMkt=d(:,1)/1000000;
LongMkt=d(:,2)/1000000;
szd=size(d,1);

Dr1=[];
%finding relevant four gridpoints
for i=1:szd;
    x1=abs(LatMkt(i)-LatGP);
    x2=abs(LongMkt(i)-LongGP);
    f1=find(x1<2.0001&x2<3.0001);%should yield four gridpoints
    %1st two same Long, diff Lat; 2nd two same Lon, diff Lat
    %  1st & 3rd same Lat, diff Lon; 2nd & 4th same Lat, diff Lon
    if size(f1,2)==3;%what if observe only three gridpoints?
        w1=1-(45-LatMkt(i))/2;
        w2=1-(LongMkt(i)-(-77.5))/3;
        Dr0=w1*w2*(.5*PDHI(101:161,f1(1))+.5*PDHI(101:161,f1(2)));%hypothetical northwest point
        Dr0=(1-w1)*w2*PDHI(101:161,f1(1))+Dr0;%southwest point
        Dr0=w1*(1-w2)*PDHI(101:161,f1(2))+Dr0;%northeast point
        Dr0=(1-w1)*(1-w2)*PDHI(101:161,f1(3))+Dr0;%southeast point
        Dr1=[Dr1;Dr0'];    
    elseif size(f1,2)==2;%what if observe only two gridpoints?
        w2=1-(LongMkt(i)-(-80.5))/3;
        Dr0=w2*PDHI(101:161,f1(1))+(1-w2)*PDHI(101:161,f1(2));
        Dr1=[Dr1;Dr0'];        
    else%and now when observe all four grid points
        w1=1-(LatGP(f1(1))-LatMkt(i))/2;%latitude weight
        w2=1-(LongMkt(i)-LongGP(f1(1)))/3;%longitude weight
        Dr0=w1*w2*PDHI(101:161,f1(1));%northwest point
        Dr0=(1-w1)*w2*PDHI(101:161,f1(2))+Dr0;%southwest point
        Dr0=w1*(1-w2)*PDHI(101:161,f1(3))+Dr0;%northeast point
        Dr0=(1-w1)*(1-w2)*PDHI(101:161,f1(4))+Dr0;%southeast point
        Dr1=[Dr1;Dr0'];
    end;
end;

