%%constructing sample of markets isolated in 1850

global bankdata5 DistMat

%load RawDistMat2;%distance matrix (DistMat), 1644 x 1644
%  on-top markets already aggregated
szd=size(DistMat,1);

%defining parameters
x=5; %close-enough parameter (within x miles)
y=10;%far-enough parameter (outside y miles)

%denoting markets that were observed in 1850
D10=zeros(1644,1644);
NotObs=1-[bankdata5(:,11)>0];
for i=1:1644;
    for j=1:1644;
        D10(i,j)=NotObs(i)*1000+NotObs(j)*1000;
    end;
end;

H=1000*eye(szd)+DistMat+D10;%adjustment so minimum distance reflects closest 
%  market that is observed in 1850, not self-market

%for each market, sorting distances to neighboring markets 
HH=zeros(szd,3);
for i=1:szd;
    hh=sort(H(i,:));
    HH(i,:)=hh(1:3);
end;

%truly isolated markets that were observed in 1850
%f1=find(HH(:,1)>y);%no other markets w/in y miles
f1=find(HH(:,1)>y&bankdata5(:,11)>0);%no other markets w/in y miles
szf1=size(f1,1);
%potential isolated mkt-pairs that were observed in 1850
%f2=find(HH(:,1)<x&HH(:,2)>y);%one other market w/in x miles, no others w/in y
f2=find(HH(:,1)<x&HH(:,2)>y&bankdata5(:,11)>0);%one other market w/in x miles, no others w/in y
szf2=size(f2,1);
%potential isolated mkt-triples that were observed in 1850
%f3=find(HH(:,1)<x&HH(:,2)<x&HH(:,3)>y);%two other mkts w/in x miles, no others w/in y
f3=find(HH(:,1)<x&HH(:,2)<x&HH(:,3)>y&bankdata5(:,11)>0);%two other mkts w/in x miles, no others w/in y
szf3=size(f3,1);

%codes for future aggregation by observation of data
%1st column is T1's ID, 2nd column is T2's ID, 3rd column is T3's ID
%   zeros if no such clustered market
F0=[];
F0=[F0;f1 zeros(szf1,2)];
%404 truly isolated mkts at y=10 

%checking potential mkt-pairs: is closest mkt also part of f2?
for i=1:szf2;
    JJ=find(H(f2(i),:)<x);
    f0=find(f2==JJ);
    if isempty(f0)==1;
        F0=F0;
    else
        F0=[F0;f2(i) JJ 0];
    end;
end;
szF0=size(F0,1);

%eliminating duplicates (b/c both pair members presently listed)
F1=[];
for i=1:szF0;
    b1=find(F0(:,2)==F0(i,1));
    if isempty(b1)==1;
        F1=[F1;F0(i,:)];
    else
        b2=find(F1(:,1)==F0(b1,1));
        if isempty(b2)==1;
            F1=[F1;F0(i,:)];
        end;
    end;
end;
%420 unique mkts (singletons & pairs) at x=5 & y=10

%checking potential mkt-triples (none present at x=5 & y=10
for i=1:szf3;
    JJ=find(H(f3(i),:)<x);
    b1=find(f3==JJ(1));
    b2=find(f3==JJ(2));
    if isempty(b1)==1;
        F1=F1;
    else
        if isempty(b2)==1;
            F1=F1;
        else
            F1=[F1;f3(i) JJ(1) JJ(2)];
        end;
    end;
end;
szF1=size(F1,1);

%eliminating triplicates
F2=[];
for i=1:szF1;
    b1=find(F1(:,3)==F1(i,1));
    if isempty(b1)==1;
        F2=[F2;F1(i,:)];
    else
        b2=find(F2(:,1)==F1(b1,1));
        if isempty(b2)==1;
            F2=[F2;F1(i,:)];
        end;
    end;
end;
szF2=size(F2,1);

%aggregating up bankdata, limited to isolated markets
bankdata6=[];
for i=1:szF2;
    if F2(i,2)==0;
        bankdata6=[bankdata6;bankdata5(F2(i,1),:)];
    elseif F2(i,3)==0;
        BD1=bankdata5(F2(i,1),1:3);
        BD2=bankdata5(F2(i,1),4)+bankdata5(F2(i,2),4);
        BD3=bankdata5(F2(i,1),5)+bankdata5(F2(i,2),5);
        BD4=bankdata5(F2(i,1),6)+bankdata5(F2(i,2),6);
        BD5=bankdata5(F2(i,1),7)+bankdata5(F2(i,2),7);
        BD6=bankdata5(F2(i,1),8)+bankdata5(F2(i,2),8);
        BD7=bankdata5(F2(i,1),9)+bankdata5(F2(i,2),9);
        BD8=bankdata5(F2(i,1),10)+bankdata5(F2(i,2),10);
        BD9=bankdata5(F2(i,1),11)+bankdata5(F2(i,2),11);
        BD10=bankdata5(F2(i,1),12:24);
        BD11=bankdata5(F2(i,1),25)+bankdata5(F2(i,2),25);
        BD12=bankdata5(F2(i,1),26)+bankdata5(F2(i,2),26);
        BD13=max([bankdata5(F2(i,1),27) bankdata5(F2(i,2),27)]);
        BD14=max([bankdata5(F2(i,1),28) bankdata5(F2(i,2),28)]);
        BD15=[bankdata5(F2(i,1),29:32)];
        BD16=bankdata5(F2(i,1),33)+bankdata5(F2(i,2),33);
        BD17=bankdata5(F2(i,1),34)+bankdata5(F2(i,2),34);
        BD18=bankdata5(F2(i,1),35)+bankdata5(F2(i,2),35);
        BD19=bankdata5(F2(i,1),36)+bankdata5(F2(i,2),36);
        BD20=bankdata5(F2(i,1),37)+bankdata5(F2(i,2),37);
        BD21=bankdata5(F2(i,1),38)+bankdata5(F2(i,2),38);
        BD22=bankdata5(F2(i,1),39)+bankdata5(F2(i,2),39);
        BD23=bankdata5(F2(i,1),40)+bankdata5(F2(i,2),40);
        BD24=bankdata5(F2(i,1),41)+bankdata5(F2(i,2),41);
        BD25=[bankdata5(F2(i,1),42)];
        BD26=[bankdata5(F2(i,1),43)+bankdata5(F2(i,2),43)];
        BD27=[bankdata5(F2(i,1),44)+bankdata5(F2(i,2),44)];
        BD28=[bankdata5(F2(i,1),45)+bankdata5(F2(i,2),45)];
        BD29=[bankdata5(F2(i,1),46)+.1];
        bankdata6=[bankdata6;BD1 BD2 BD3 BD4 BD5 BD6 BD7 BD8 BD9 BD10 BD11 ...
            BD12 BD13 BD14 BD15 BD16 BD17 BD18 BD19 BD20 BD21 BD22 BD23 ...
            BD24 BD25 BD26 BD27 BD28 BD29];
    else;
        BD1=bankdata5(F2(i,1),1:3);
        BD2=bankdata5(F2(i,1),4)+bankdata5(F2(i,2),4)+bankdata5(F2(i,3),4);
        BD3=bankdata5(F2(i,1),5)+bankdata5(F2(i,2),5)+bankdata5(F2(i,3),5);
        BD4=bankdata5(F2(i,1),6)+bankdata5(F2(i,2),6)+bankdata5(F2(i,3),6);
        BD5=bankdata5(F2(i,1),7)+bankdata5(F2(i,2),7)+bankdata5(F2(i,3),7);
        BD6=bankdata5(F2(i,1),8)+bankdata5(F2(i,2),8)+bankdata5(F2(i,3),8);
        BD7=bankdata5(F2(i,1),9)+bankdata5(F2(i,2),9)+bankdata5(F2(i,3),9);
        BD8=bankdata5(F2(i,1),10)+bankdata5(F2(i,2),10)+bankdata5(F2(i,3),10);
        BD9=bankdata5(F2(i,1),11)+bankdata5(F2(i,2),11)+bankdata5(F2(i,3),11);
        BD10=bankdata5(F2(i,1),12:24);
        BD11=bankdata5(F2(i,1),25)+bankdata5(F2(i,2),25)+bankdata5(F2(i,3),25);
        BD12=bankdata5(F2(i,1),26)+bankdata5(F2(i,2),26)+bankdata5(F2(i,3),26);
        BD13=max([bankdata5(F2(i,1),27) bankdata5(F2(i,2),27) bankdata5(F2(i,3),27)]);
        BD14=max([bankdata5(F2(i,1),28) bankdata5(F2(i,2),28) bankdata5(F2(i,3),28)]);
        BD15=[bankdata5(F2(i,1),29:32)];
        BD16=bankdata5(F2(i,1),33)+bankdata5(F2(i,2),33)+bankdata5(F2(i,3),33);
        BD17=bankdata5(F2(i,1),34)+bankdata5(F2(i,2),34)+bankdata5(F2(i,3),34);
        BD18=bankdata5(F2(i,1),35)+bankdata5(F2(i,2),35)+bankdata5(F2(i,3),35);
        BD19=bankdata5(F2(i,1),36)+bankdata5(F2(i,2),36)+bankdata5(F2(i,3),36);
        BD20=bankdata5(F2(i,1),37)+bankdata5(F2(i,2),37)+bankdata5(F2(i,3),37);
        BD21=bankdata5(F2(i,1),38)+bankdata5(F2(i,2),38)+bankdata5(F2(i,3),38);
        BD22=bankdata5(F2(i,1),39)+bankdata5(F2(i,2),39)+bankdata5(F2(i,3),39);
        BD23=bankdata5(F2(i,1),40)+bankdata5(F2(i,2),40)+bankdata5(F2(i,3),40);
        BD24=bankdata5(F2(i,1),41)+bankdata5(F2(i,2),41)+bankdata5(F2(i,3),41);
        BD25=[bankdata5(F2(i,1),42)];
        BD26=[bankdata5(F2(i,1),43)+bankdata5(F2(i,2),43)+bankdata5(F2(i,3),43)];
        BD27=[bankdata5(F2(i,1),44)+bankdata5(F2(i,2),44)+bankdata5(F2(i,3),44)];
        BD28=[bankdata5(F2(i,1),45)+bankdata5(F2(i,2),45)+bankdata5(F2(i,3),45)];
        BD29=[bankdata5(F2(i,1),46)+.1];
        bankdata6=[bankdata6;BD1 BD2 BD3 BD4 BD5 BD6 BD7 BD8 BD9 BD10 BD11 ...
            BD12 BD13 BD14 BD15 BD16 BD17 BD18 BD19 BD20 BD21 BD22 BD23 ...
            BD24 BD25 BD26 BD27 BD28 BD29];
    end;
end;
%%NOTE: does not presently average latitude-longitude for pair-markets

%eliminating eastern NY & PA
J1=bankdata6(:,14)/1000000;
J2=bankdata6(:,15)/1000000;
J3=132.2005+1.213595*J2;%line connecting Albany & Allentown

f4=find(J1>J3);

bankdata6=bankdata6(f4,:);

D=bankdata6;

%dropping NY state
f=find(D(:,18)==0);
D=D(f,:);

%dropping St. Louis & Cincinnati
f=find(D(:,10)<50000);
D=D(f,:);

D1=D;


